# Getting started

This tutorial will help you make your first API call to receive a list of NFT tokens in the [CSPR.studio](https://cspr.studio) contract.

## Prerequisites

We will use cURL to make API calls. You can install it from the [curl.se](https://curl.se/download.html) website or by using the package manager of your choice.

## Create an access token

Please register on [CSPR.build console](https://console.cspr.build/sign-up) to create a CSPR.cloud access token.

## First API call

To fetch the NFT tokens in the [CSPR.studio](https://CSPR.studio) contract we'll be using the [NFT API](/1.2.x/rest-api/non-fungible-token.md). The endpoint requires a contract package hash, which we can find on [CSPR.live](https://cspr.live/contract-package/c4e5a03066ce3c6006f562939e48f7076c77de5d46cf8fe625c41e02c5e74814):

```bash
curl -X 'GET' \
  'https://api.cspr.cloud/contract-packages/c4e5a03066ce3c6006f562939e48f7076c77de5d46cf8fe625c41e02c5e74814/nft-tokens' \
  -H 'accept: application/json' \
  -H 'authorization: [Your access token]'
```

```json
{
  "data": [
    {
      "contract_package_hash": "c4e5a03066ce3c6006f562939e48f7076c77de5d46cf8fe625c41e02c5e74814",
      "is_burned": false,
      "offchain_metadata": null,
      "offchain_metadata_status": 0,
      "onchain_metadata": {
        "asset": "https://maritime.sealstorage.io/make/c4e5a03066ce3c60/0a14a18a7a214b64a9da1e5bdfe12ded",
        "description": "Friday morning in Рíвне.",
        "name": "Friday morning in Rivne"
      },
      "owner_hash": "8297d55f4530ac75f46d04319bf4c7d1de68de1b3fe31cd462f752fadf27b571",
      "owner_type": 0,
      "timestamp": "2022-10-31T07:20:42Z",
      "token_id": "1",
      "token_standard_id": 1,
      "tracking_id": 6053
    },
    {
      "contract_package_hash": "c4e5a03066ce3c6006f562939e48f7076c77de5d46cf8fe625c41e02c5e74814",
      "is_burned": false,
      "offchain_metadata": null,
      "offchain_metadata_status": 0,
      "onchain_metadata": {
        "asset": "https://maritime.sealstorage.io/make/c4e5a03066ce3c60/69a349373da14f6f9511e2a8d375657e",
        "description": "Dougal loving life on the edge",
        "name": "Flying Dougal"
      },
      "owner_hash": "2af66211f9fb970ead08bb80d3d05ad385f83e51caf4940c2f2eb309a0427828",
      "owner_type": 0,
      "timestamp": "2022-11-15T16:54:36Z",
      "token_id": "10",
      "token_standard_id": 1,
      "tracking_id": 11228
    },
    ...
    {
      "contract_package_hash": "c4e5a03066ce3c6006f562939e48f7076c77de5d46cf8fe625c41e02c5e74814",
      "is_burned": false,
      "offchain_metadata": null,
      "offchain_metadata_status": 0,
      "onchain_metadata": {
        "asset": "https://maritime.sealstorage.io/ipfs/bafybeif6wojygvwuav4wdt7dyqx2ekem4fqdpx47p3fu2e5yh7y6anqr2u",
        "description": "The “Ghost” collection is a unique serie of NFTs found on the Casper blockchain. These NFTs are digital representations of ghosts, spirits, and paranormal phenomenon that have been meticulously designed and created by digital artists. Each NFT in this collection is a unique and exclusive piece that captures the essence of the supernatural and the mysterious.\n",
        "name": "Ghosts"
      },
      "owner_hash": "a485e8c7fbe2bfd939930dd9d94025b403fe4bfcf0f8f46b31bd9f28298b8890",
      "owner_type": 0,
      "timestamp": "2023-10-07T08:31:23Z",
      "token_id": "1006",
      "token_standard_id": 1,
      "tracking_id": 317986
    }
  ],
  "item_count": 1277,
  "page_count": 128
}
```

{% hint style="info" %}
Replace "\[Your-Access-Token]" with your actual access token in each example.
{% endhint %}

## What's next

Please proceed with the following documents to get familiar with CSPR.cloud:

* [Overview](/1.2.x/documentation/overview.md)\
  Learn about the general technical aspects of CSPR.cloud API, and how it works
* [Highlights](/1.2.x/documentation/highlights.md)\
  Learn about CSPR.cloud API possibilities, which aren't present in the Casper Node RPC API
* [REST API](/1.2.x/rest-api/reference.md)\
  Get familiar with the REST API reference to know what endpoints are available
* [Streaming API](/1.2.x/streaming-api/reference.md)\
  Get familiar with the Streaming API reference to know what Web Socket subscriptions are available
* [Casper Node API](/1.2.x/casper-node-api/connecting-with-an-sdk.md)\
  Learn how to connect to the private Casper Node powered by CSPR.cloud using the most popular SDKs
* [CSPR.click](https://docs.cspr.click)\
  While CSPR.cloud handles your dApp integration with the Casper Network, CSPR.click takes care of how users of your dApp interact with the blockchain. It provides integration with all the wallets and on-ramp providers in the Casper ecosystem to solve authentication and token-acquiring problems. Please be sure to check it out!


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cspr.cloud/1.2.x/documentation/getting-started.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
